> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Project Entries



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/time-log/projects/{projectId}/entries
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/time-log/projects/{projectId}/entries:
    get:
      tags:
        - Time Log
      summary: List Project Entries
      operationId: TimeLogController_listProjectEntries_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 100
            default: 20
            type: integer
        - name: cursor
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectTimeEntryListResponseDto'
components:
  schemas:
    ProjectTimeEntryListResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/ProjectTimeEntryDto'
        nextCursor:
          type: string
          nullable: true
        hasMore:
          type: boolean
      required:
        - items
        - nextCursor
        - hasMore
    ProjectTimeEntryDto:
      type: object
      properties:
        id:
          type: string
        projectId:
          type: string
        phase:
          type: string
          enum:
            - pre_design
            - programming
            - schematic_design
            - design_development
            - construction_documents
            - bidding_negotiation
            - procurement
            - construction_administration
            - installation
            - closeout
            - general
        date:
          type: string
        hours:
          type: string
        note:
          type: string
          nullable: true
        billable:
          type: boolean
        version:
          type: number
        person:
          $ref: '#/components/schemas/TimeLogPersonDto'
      required:
        - id
        - projectId
        - phase
        - date
        - hours
        - note
        - billable
        - version
        - person
    TimeLogPersonDto:
      type: object
      properties:
        userId:
          type: string
        email:
          type: string
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
      required:
        - userId
        - email
        - firstName
        - lastName

````